<?php
include("encabezado.php");  // Incluir el encabezado de tu sitio web
include("conexion.php");    // Conexión a la base de datos


$usuario_id = $_SESSION['usuario_id']; // ID del usuario actual
?>

<main>
    <div class="container">
        <h2>Listado de vehículos</h2>
        <table>
            <thead>
                <tr>
                    <th>Id Vehiculo</th>
                    <th>Placa</th>
                    <th>Tipo</th>
                    <th>Marca</th>
                    <th>Color</th>
                    <th>Modelo</th>
                    <th>Kilometraje</th>
                    <th>Cilindraje</th>
                    <th>Foto</th>
                    <th>Fecha SOAT</th>
                    <th>Fecha Tecnomecánica</th>
                    <th>Fecha Registro</th>
                    <th style="min-width: 140px;">Acciones</th>
                </tr>
            </thead>
            <tbody>
        <?php
        // Consulta para obtener todos los vehículos registrados por el usuario
        $sql = "SELECT * FROM vehiculos WHERE Id_Usuario = ?";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("i", $usuario_id); // Asignar el ID del usuario a la consulta
        $stmt->execute();
        $result = $stmt->get_result();

        // Verificar si hay resultados
        if ($result->num_rows > 0) {
            // Mostrar cada registro en una fila de la tabla
            while ($row = $result->fetch_assoc()) {
                echo "<tr>";
                echo "<td>" . $row['Id_Vehiculo'] . "</td>";
                echo "<td>" . $row['Placa_Vehiculo'] . "</td>";
                echo "<td>" . $row['Tipo_Vehiculo'] . "</td>";
                echo "<td>" . $row['Marca_Vehiculo'] . "</td>";
                echo "<td>" . $row['Color_Vehiculo'] . "</td>";
                echo "<td>" . $row['Modelo_Vehiculo'] . "</td>";
                echo "<td>" . $row['Kilometraje'] . "</td>";
                echo "<td>" . $row['Cilindraje'] . "</td>";

                // Mostrar la foto si existe
                if (!empty($row['Fotos'])) {
                    echo "<td><img src='imagenes/" . $row['Fotos'] . "' alt='Foto' width='100'></td>";
                } else {
                    echo "<td class='no-foto'>No disponible</td>";
                }

                echo "<td>" . $row['Fecha_SOAT'] . "</td>";
                echo "<td>" . $row['Fecha_Tecnomecanica'] . "</td>";
                echo "<td>" . $row['Fecha_Registro'] . "</td>";
                echo '<td class="p-2">
                        <a href="mod_vehiculo.php?id=' . $row['Id_Vehiculo'] . '" class="btn btn-sm d-block btn-warning mb-2"><i class="fa-solid fa-pen"></i> Editar</a> 
                        <a href="eli_vehiculo.php?id=' . $row['Id_Vehiculo'] . '" class="btn btn-sm d-block btn-danger"><i class="fa-solid fa-trash"></i> Eliminar</a>
                    </td>';
                echo "</tr>";
            }
        } else {
            echo "<tr><td colspan='13'>No se encontraron vehículos registrados.</td></tr>";
        }
        ?>
            </tbody>
        </table>
    </div>
</main>

<?php
include("pie.php");  // Incluir el pie de página de tu sitio web
$stmt->close();
$conn->close();
?>
