<?php
include("encabezado.php");
include 'conexion.php';

if (isset($_GET['id'])) {
    $nro_registro = $_GET['id'];

    // Consultar los datos del actividad
    $sql = "SELECT * FROM actividades WHERE Nro_Actividad = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $nro_registro);
    $stmt->execute();
    $result = $stmt->get_result();

    // Verificar si el actividad existe
    if ($result->num_rows > 0) {
        $actividad = $result->fetch_assoc();
    } else {
        echo "La actividad no existe.";
        exit;
    }

    $stmt->close();
} else {
    echo "No se proporcionó un ID de actividad.";
    exit;
}

?>
<main>
    <div class="container">
        <h2>Modificar actividad</h2>
        <form class="row g-3" action="act_actividad.php" method="post">
            <input type="hidden" name="Nro_Actividad" value="<?= $actividad['Nro_Actividad'] ?>">

            <div class="col-md-6">
                <label for="Valor_Actividad" class="form-label">Nombre de la actividad:</label>
                <input type="text" class="form-control" id="Nombre_Actividad" name="Nombre_Actividad" value="<?= $actividad['Nombre_Actividad'] ?>">
            </div>
            <div class="col-md-6">
                <label for="Fecha_Registro" class="form-label">Fecha de la Actividad:</label>
                <input type="datetime-local" class="form-control" id="Fecha_Registro" name="Fecha_Registro" value="<?= $actividad['Fecha_Registro'] ?>">
            </div>
            <div class="col-12">
                <button type="submit" class="btn btn-primary">Modificar actividad</button>
            </div>
        </form>
        </div>
</main>
<?php
include("pie.php");
?>