<?php
include("encabezado.php");
include 'conexion.php';

if (isset($_GET['id'])) {
    $nro_registro = $_GET['id'];

    // Consultar los datos del gasto
    $sql = "SELECT * FROM gastos WHERE Nro_Registro = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $nro_registro);
    $stmt->execute();
    $result = $stmt->get_result();

    // Verificar si el gasto existe
    if ($result->num_rows > 0) {
        $gasto = $result->fetch_assoc();
    } else {
        echo "El gasto no existe.";
        exit;
    }

    $stmt->close();
} else {
    echo "No se proporcionó un ID de gasto.";
    exit;
}

?>

<main>
    <div class="container">
        <h2>Modificar gasto</h2>
        <form class="row g-3" action="act_gasto.php" method="post">
            <input type="hidden" name="Nro_Registro" value="<?= $gasto['Nro_Registro'] ?>">

            <div class="col-md-6">
                <label for="Tipo_Actividad" class="form-label">Tipo de Actividad:</label>
                <select id="Tipo_Actividad" class="form-select" name="Tipo_Actividad" required>
                    <option value="" disabled>Seleccione una actividad</option>
                    <?php
                    // Consultar actividades
                    $result = $conn->query("SELECT Nro_Actividad, Nombre_Actividad FROM actividades");
                    while ($row = $result->fetch_assoc()) {
                        $selected = ($row['Nro_Actividad'] == $gasto['Tipo_Actividad']) ? 'selected' : '';
                        echo "<option value='" . $row['Nro_Actividad'] . "' $selected>" . $row['Nombre_Actividad'] . "</option>";
                    }
                    $result->close();
                    ?>
                </select>
            </div>

            <div class="col-md-6">
                <label for="Valor_Actividad" class="form-label">Valor de la Actividad:</label>
                <input type="number" class="form-control" id="Valor_Actividad" name="Valor_Actividad" value="<?= $gasto['Valor_Actividad'] ?>" required>
            </div>
            <div class="col-md-6">
                <label for="Fecha_Actividad" class="form-label">Fecha de la Actividad:</label>
                <input type="date" class="form-control" id="Fecha_Actividad" name="Fecha_Actividad" value="<?= $gasto['Fecha_Actividad'] ?>" required>
            </div>
            <div class="col-md-6">
                <label for="Lugar_Actividad" class="form-label">Lugar de la Actividad:</label>
                <input type="text" class="form-control" id="Lugar_Actividad" name="Lugar_Actividad" value="<?= $gasto['Lugar_Actividad'] ?>" required>
            </div>
            <div class="col-md-6">
                <label for="Kilometraje_Actividad" class="form-label">Kilometraje Actividad:</label>
                <input type="number" class="form-control" id="Kilometraje_Actividad" name="Kilometraje_Actividad" value="<?= $gasto['Kilometraje_Actividad'] ?>" required>
            </div>
            <div class="col-md-6">
                <label for="Observaciones" class="form-label">Observaciones:</label>
                <input type="text" class="form-control" id="Observaciones" name="Observaciones" value="<?= $gasto['Observaciones'] ?>">
            </div>
            <div class="col-md-6">
                <label for="Placa_Vehiculo" class="form-label">Placa del Vehículo:</label>
                <input type="text" class="form-control" id="Placa_Vehiculo" name="Placa_Vehiculo" 
                value="<?php
                // Obtener la placa del vehículo asociada al gasto
                $result = $conn->query("SELECT Placa_Vehiculo FROM vehiculos WHERE Id_Vehiculo = " . $gasto['Id_Vehiculo']);
                if ($result && $row = $result->fetch_assoc()) {
                    echo $row['Placa_Vehiculo'];
                }
                ?>" disabled />
            </div>
            <div class="col-12">
                <button type="submit" class="btn btn-primary">Modificar Gasto</button>
            </div>
        </form>
        </div>
</main>
<?php
include("pie.php");
?>