<?php
include('encabezado.php');
include('conexion.php');

// Obtener el nombre del usuario basado en su id
$usuario_id = $_SESSION['usuario_id'];
$sql = "SELECT nombre_completo FROM usuarios WHERE id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $usuario_id);
$stmt->execute();
$result = $stmt->get_result();

// Validar si el usuario existe
if ($result->num_rows > 0) {
    $row = $result->fetch_assoc();
    $nombre_usuario = $row['nombre_completo'];
} else {
    // Si no se encuentra el usuario, cerrar la sesión por seguridad
    session_destroy();
    header("Location: login.php?error=Error al validar la sesión.");
    exit();
}

// Cerrar la conexión
$stmt->close();
$conn->close();

?>
<main>
    <div class="container">

<h1>¡Bienvenido a la Página Principal <?= htmlspecialchars($nombre_usuario); ?>!</h1>

<div class="row d-flex justify-content-between flex-wrap">
    
    <div class="col-sm-4">
        <div class="card w-100 mb-3">
            <div class="card-body">
                <h5 class="card-title">Vehículos</h5>
                <p class="card-text">Gestionar los vehículos.</p>
                <a href="VerVehiculos.php" class="btn btn-primary">Ver vehículos</a>
            </div>
        </div>
    </div>

    <div class="col-sm-4">
        <div class="card w-100 mb-3">
            <div class="card-body">
                <h5 class="card-title">Gastos</h5>
                <p class="card-text">Gestionar los gastos.</p>
                <a href="VerGastos.php" class="btn btn-primary">Ver gastos</a>
            </div>
        </div>
    </div>

    <div class="col-sm-4">
        <div class="card w-100 mb-3">
            <div class="card-body">
                <h5 class="card-title">Actividades</h5>
                <p class="card-text">Gestionar las actividades.</p>
                <a href="VerActividades.php" class="btn btn-primary">Ver actividades</a>
            </div>
        </div>
    </div>
</div>

</div>
</main>
<?php
include ('pie.php');
?>
